Page MenuHomePhabricator

Azerbaijani Wikipedia: Alphabetical order in the categories (collation)
Closed, ResolvedPublic

Description

Hi. I am from Azerbaijani Wikipedia. We want to change the alphabetical order in category pages. For example, in Azerbaijani alphabet "X" comes after "H".

We have a community consensus: https://az.wikipedia.org/wiki/Vikipediya:Kənd_meydanı#Kateqoriyalarda_əlifba_sırasının_tətbiq_olunması

Event Timeline

Serkanland updated the task description. (Show Details)
Dcljr added a subscriber: Dcljr.EditedAug 12 2018, 5:55 AM

In case anyone is confused by the description (since X appears later in the English alphabet than H): What @Serkanland means is that X immediately follows H in the Azerbaijani alphabet, before letters like I, İ, and J. For details, see the Wikipedia article en:Azerbaijani_alphabet.

Reedy removed Aklapper as the assignee of this task.Aug 12 2018, 8:20 PM
Reedy added a subscriber: Aklapper.

@Serkanland: Please do not assign people to tasks without their explicit consent. See https://mediawiki.org/wiki/How_to_report_a_bug . Thanks!

@Dcljr Yes, and it would be great if phabricator users changed that.

You or anyone else is very welcome to propose a software patch if you are interested to get this fixed.
See https://phabricator.wikimedia.org/rMWe94587dfbbba780866d61c7c5097a5a5a6f48a22 for an example how to add a collation.

Removing Wikimedia-Site-requests as this requires code in MediaWiki itself and not changing an existing setting for Wikimedia servers.

You or anyone else is very welcome to propose a software patch if you are interested to get this fixed.
See https://phabricator.wikimedia.org/rMWe94587dfbbba780866d61c7c5097a5a5a6f48a22 for an example how to add a collation.

@Aklapper I'm interested to do but please let me know, if it's software patch is similar as T183430 (https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/399537/). Further assistance needed, I don't want to broke up the things.

Neriman2003 added a subscriber: Neriman2003.

It's complicated for me.

Change 455887 had a related patch set uploaded (by Superyetkin; owner: Superyetkin):
[operations/mediawiki-config@master] Set $wgCategoryCollation = uca-az on azwiki

https://gerrit.wikimedia.org/r/455887

Superyetkin triaged this task as Normal priority.

Per the patch, it is a site request.

I've scheduled this to be deployed to tomorrow EU SWAT, 11:00-12:00 UTC.

Change 455887 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgCategoryCollation = uca-az on azwiki

https://gerrit.wikimedia.org/r/455887

Mentioned in SAL (#wikimedia-operations) [2018-08-29T11:06:04Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set $wgCategoryCollation = uca-az on azwiki - T201770 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-08-29T11:06:27Z] <hashar> mwscript updateCollation.php --wiki=azwiki --previous-collation=uppercase # T201770

Mentioned in SAL (#wikimedia-operations) [2018-08-29T11:37:08Z] <hashar> deploy1001: "mwscript updateCollation.php --wiki=azwiki --previous-collation=uppercase" completed | T201770

hashar added a subscriber: hashar.Aug 29 2018, 11:37 AM
$ mwscript updateCollation.php --wiki=azwiki --previous-collation=uppercase
<...>
Selecting next 100 rows... processing...924600 done.
Selecting next 100 rows... processing...924700 done.
Selecting next 100 rows... processing...924800 done.
Selecting next 100 rows... processing...924810 done.
924810 rows processed

Should be good now.

Urbanecm closed this task as Resolved.Aug 29 2018, 11:55 AM

Deployed. Should something be broken, reopen&comment.